Home

# Class goog.testing.mockmatchers.SaveArgument

A matcher that saves the argument that it is verifying so that your unit test can perform extra tests with this argument later. For example, if the argument is a callback method, the unit test can then later call this callback to test the asynchronous portion of the call.

extends goog.testing.mockmatchers.ArgumentMatcher

Instance Method Summary
| `matches(<Any Type> toVerify, ?goog.testing.MockExpectation= opt_expectation) ⇒ boolean` A function that takes a match argument and an optional MockExpectation which (if provided) will get error information and returns whether or not it matches.